Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2
Interface UnknownHandlerManager

All Known Implementing Classes:
  DefaultUnknownHandlerManager

    public interface UnknownHandlerManager

An unknown handler manager contains a list of UnknownHandler and iterates on them by order

See Also:
  `DefaultUnknownHandlerManager`

Method Summary
`java.util.List<UnknownHandler>` | `getUnknownHandlers()`
`ActionConfig` | `handleUnknownAction(java.lang.String namespace, java.lang.String actionName)`
`java.lang.Object` | `handleUnknownMethod(java.lang.Object action, java.lang.String methodName)`
`Result` | `handleUnknownResult(ActionContext actionContext, java.lang.String actionName, ActionConfig actionConfig, java.lang.String resultCode)`
`boolean` | `hasUnknownHandlers()`

Method Detail

### handleUnknownResult

    Result handleUnknownResult(ActionContext actionContext,
                               java.lang.String actionName,
                               ActionConfig actionConfig,
                               java.lang.String resultCode)

### handleUnknownMethod

    java.lang.Object handleUnknownMethod(java.lang.Object action,
                                         java.lang.String methodName)
                                         throws java.lang.NoSuchMethodException

  Throws:
    `java.lang.NoSuchMethodException`

### handleUnknownAction

    ActionConfig handleUnknownAction(java.lang.String namespace,
                                     java.lang.String actionName)

### hasUnknownHandlers

    boolean hasUnknownHandlers()

### getUnknownHandlers

    java.util.List<UnknownHandler> getUnknownHandlers()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.